var comclasses = {
    0x20: {
        name: 'BASIC',
        role: 'switch',
        children: {
            Basic: {role: 'level'}
        }
    },
    0x86: {name: 'VERSION',                                role: 'meta.version', children: {
        'Library Version':      {type: 'text'},
        'Protocol Version':     {type: 'text'},
        'Application Version':  {type: 'text'}
    }},
    0x80: {name: 'BATTERY',                                role: 'info',         children: {
        'Battery Level':        {role: 'value.battery'}
    }},
    0x84: {name: 'WAKE_UP',                                role: ''},
    0x21: {name: 'CONTROLLER_REPLICATION',                 role: ''},
    0x26: {name: 'SWITCH_MULTILEVEL',                      role: 'light.dimmer', children: {
        Level:                  {role: 'level.dimmer'}
    }},
    0x27: {name: 'SWITCH_ALL',                             role: ''},
    0x30: {name: 'SENSOR_BINARY',                          role: 'sensor'},
    0x31: {name: 'SENSOR_MULTILEVEL',                      role: 'sensor',       children: {
        Temperature:            {role: 'value.temperature'}
    }},
    0x9c: {name: 'SENSOR_ALARM',                           role: 'alarm'},
    0x71: {name: 'ALARM',                                  role: ''},
    0x8F: {name: 'MULTI_CMD',                              role: ''},
    0x46: {name: 'CLIMATE_CONTROL_SCHEDULE',               role: ''},
    0x81: {name: 'CLOCK',                                  role: ''},
    0x85: {name: 'ASSOCIATION',                            role: ''},
    0x70: {name: 'CONFIGURATION',                          role: 'meta.config',  children: {
        Level:                  {role: 'level.dimmer'}
    }},
    0x72: {name: 'MANUFACTURER_SPECIFIC',                  role: ''},
    0x22: {name: 'APPLICATION_STATUS',                     role: ''},
    0x9B: {name: 'ASSOCIATION_COMMAND_CONFIGURATION',      role: ''},
    0x95: {name: 'AV_CONTENT_DIRECTORY_MD',                role: ''},
    0x97: {name: 'AV_CONTENT_SEARCH_MD',                   role: ''},
    0x96: {name: 'AV_RENDERER_STATUS',                     role: ''},
    0x99: {name: 'AV_TAGGING_MD',                          role: ''},
    0x50: {name: 'BASIC_WINDOW_COVERING',                  role: ''},
    0x2A: {name: 'CHIMNEY_FAN',                            role: ''},
    0x8D: {name: 'COMPOSITE',                              role: ''},
    0x62: {name: 'DOOR_LOCK',                              role: ''},
    0x90: {name: 'ENERGY_PRODUCTION',                      role: ''},
    0x7a: {name: 'FIRMWARE_UPDATE_MD',                     role: ''},
    0x8C: {name: 'GEOGRAPHIC_LOCATION',                    role: ''},
    0x7B: {name: 'GROUPING_NAME',                          role: ''},
    0x82: {name: 'HAIL',                                   role: ''},
    0x87: {name: 'INDICATOR',                              role: ''},
    0x9A: {name: 'IP_CONFIGURATION',                       role: 'meta.config'},
    0x89: {name: 'LANGUAGE',                               role: ''},
    0x76: {name: 'LOCK',                                   role: ''},
    0x91: {name: 'MANUFACTURER_PROPRIETARY',               role: ''},
    0x35: {name: 'METER_PULSE',                            role: ''},
    0x32: {name: 'METER',                                  role: ''},
    0x51: {name: 'MTP_WINDOW_COVERING',                    role: ''},
    0x8E: {name: 'MULTI_INSTANCE_ASSOCIATION',             role: ''},
    0x60: {name: 'MULTI_INSTANCE',                         role: ''},
    0x00: {name: 'NO_OPERATION',                           role: ''},
    0x77: {name: 'NODE_NAMING',                            role: ''},
    0xf0: {name: 'NON_INTEROPERABLE',                      role: ''},
    0x73: {name: 'POWERLEVEL',                             role: ''},
    0x88: {name: 'PROPRIETARY',                            role: ''},
    0x75: {name: 'PROTECTION',                             role: ''},
    0x7c: {name: 'REMOTE_ASSOCIATION_ACTIVATE',            role: ''},
    0x7d: {name: 'REMOTE_ASSOCIATION',                     role: ''},
    0x2b: {name: 'SCENE_ACTIVATION',                       role: ''},
    0x2C: {name: 'SCENE_ACTUATOR_CONF',                    role: ''},
    0x2D: {name: 'SCENE_CONTROLLER_CONF',                  role: ''},
    0x93: {name: 'SCREEN_ATTRIBUTES',                      role: ''},
    0x92: {name: 'SCREEN_MD',                              role: ''},
    0x98: {name: 'SECURITY',                               role: ''},
    0x9E: {name: 'SENSOR_CONFIGURATION',                   role: ''},
    0x9d: {name: 'SILENCE_ALARM',                          role: ''},
    0x94: {name: 'SIMPLE_AV_CONTROL',                      role: ''},
    0x25: {name: 'SWITCH_BINARY',                          role: 'switch'},
    0x28: {name: 'SWITCH_TOGGLE_BINARY',                   role: ''},
    0x29: {name: 'SWITCH_TOGGLE_MULTILEVEL',               role: ''},
    0x44: {name: 'THERMOSTAT_FAN_MODE',                    role: ''},
    0x45: {name: 'THERMOSTAT_FAN_STATE',                   role: ''},
    0x38: {name: 'THERMOSTAT_HEATING',                     role: ''},
    0x40: {name: 'THERMOSTAT_MODE',                        role: ''},
    0x42: {name: 'THERMOSTAT_OPERATING_STATE',             role: ''},
    0x47: {name: 'THERMOSTAT_SETBACK',                     role: ''},
    0x43: {name: 'THERMOSTAT_SETPOINT',                    role: ''},
    0x8B: {name: 'TIME_PARAMETERS',                        role: ''},
    0x8a: {name: 'TIME',                                   role: ''},
    0x63: {name: 'USER_CODE',                              role: ''},
    0x34: {name: 'ZIP_ADV_CLIENT',                         role: ''},
    0x33: {name: 'ZIP_ADV_SERVER',                         role: ''},
    0x2F: {name: 'ZIP_ADV_SERVICES',                       role: ''},
    0x2e: {name: 'ZIP_CLIENT',                             role: ''},
    0x24: {name: 'ZIP_SERVER',                             role: ''},
    0x23: {name: 'ZIP_SERVICES',                           role: ''},
    0x5B: {name: 'CENTRAL_SCENE',                          role: ''},
    0x5D: {name: 'ANTI_THEFT',                             role: ''},
    0x57: {name: 'APPLICATION_CAPABILITY',                 role: ''},
    0x59: {name: 'ASSOCIATION_GROUP_INFORMATION',          role: ''},
    0x66: {name: 'BARRIER_OPERATOR',                       role: ''},
    0x36: {name: 'BASIC_TARIFF_INFORMATION',               role: ''},
    0x56: {name: 'CRC_16_ENCAPSULATION',                   role: ''},
    0x3A: {name: 'DEMAND_CONTROL_PLAN_CONFIGURATION',      role: ''},
    0x3B: {name: 'DEMAND_CONTROL_PLAN_MONITOR',            role: ''},
    0x5A: {name: 'DEVICE_RESET_LOCALLY',                   role: ''},
    0x4C: {name: 'DOOR_LOCK_LOGGING',                      role: ''},
    0x6F: {name: 'ENTRY_CONTROL',                          role: ''},
    0x37: {name: 'HRV_STATUS',                             role: ''},
    0x39: {name: 'HRV_CONTROL',                            role: ''},
    0x6D: {name: 'HUMIDITY_CONTROL_MODE',                  role: ''},
    0x6E: {name: 'HUMIDITY_CONTROL_OPERATING_STATE',       role: ''},
    0x64: {name: 'HUMIDITY_CONTROL_SETPOINT',              role: ''},
    0x74: {name: 'INCLUSION_CONTROLLER',                   role: ''},
    0x5C: {name: 'IP_ASSOCIATION',                         role: ''},
    0x6B: {name: 'IRRIGATION',                             role: ''},
    0x69: {name: 'MAILBOX',                                role: ''},
    0xEF: {name: 'SUPPORT_MARK',                           role: ''},    
    0x3C: {name: 'METER_TABLE_CONFIGURATION',              role: ''},
    0x3D: {name: 'METER_TABLE_MONITOR',                    role: ''},
    0x3C: {name: 'METER_TABLE_PUSH_CONFIG',                role: ''},
    0x4D: {name: 'NETWORK_MGMT_BASIC',                     role: ''},
    0x67: {name: 'NETWORK_MGMT_INSTALLATION',              role: ''},
    0x54: {name: 'NETWORK_MGMT_PRIMARY',                   role: ''},
    0x52: {name: 'NETWORK_MGMT_PROXY',                     role: ''},
    0x78: {name: 'NODE_PROVISIONING',                      role: ''},
    0x3F: {name: 'PREPAYMENT',                             role: ''},
    0x41: {name: 'PREPAYMENT_ENCAP',                       role: ''},
    0x48: {name: 'RATE_TABLE_CONFIGURATION',               role: ''},
    0x49: {name: 'RATE_TABLE_MONITOR',                     role: ''},
    0x53: {name: 'SCHEDULE',                               role: ''},
    0x4E: {name: 'SCHEDULE_ENTRY_LOCK',                    role: ''},
    0x9F: {name: 'SECURITY2',                              role: ''},
    0x79: {name: 'SOUND_SWITCH',                           role: ''},
    0x6C: {name: 'SUPERVISION',                            role: ''},
    0x4A: {name: 'TARIFF_TABLE_CONFIGURATION',             role: ''},
    0x4B: {name: 'TARIFF_TABLE_MONITOR',                   role: ''},
    0x55: {name: 'TRANSPORT_SERVICE',                      role: ''},
    0x6A: {name: 'WINDOW_COVERING',                        role: ''},
    0x4F: {name: 'ZIP_6LOWPAN',                            role: ''},
    0x5F: {name: 'ZIP_GATEWAY',                            role: ''},
    0x68: {name: 'ZIP_NAMING',                             role: ''},
    0x58: {name: 'ZIP_ND',                                 role: ''},
    0x61: {name: 'ZIP_PORTAL',                             role: ''},
    0x5E: {name: 'ZWAVE_PLUS_INFO',                        role: ''}
};
if (typeof module !== 'undefined' && module.parent) {
    module.exports = comclasses;
}